Author Topic: Attract 2.6.2 (USE_DRM=1) on Arch Linux  (Read 269 times)

shbon

  • Newbie
  • *
  • Posts: 1
    • View Profile
Attract 2.6.2 (USE_DRM=1) on Arch Linux
« on: October 03, 2022, 06:10:15 AM »
I would like to use Attract Mode as a FE for a RetroArch installation I have running well in KMS Mode (https://docs.libretro.com/guides/kms-mode/) on Arch Linux.

I've compiled Attract 2.6.2 with USE_DRM=1 and SFML-pi with the SFML_DRM=1 on a Arch Linux installation that doesn't have any X11 components installed.

I can run attract in the command line (tty) and configure settings through the UI fine, but when I launch any RA game I get the error "Failed to set mode: Permission Denied" and then attract aborts with a core dump. (I think that error is being thrown by SFML-pi, specifically the call to drmModeSetCrtc).

Has anybody got AM working properly on a Linux x86_64 (such as Arch Linux) without X11? I hoping there's a simple config change I can make to fix this...